Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.process
[Java] Interface ExecSpec

    org.gradle.process.ProcessForkOptions
      org.gradle.process.ExecSpec
          org.gradle.process.BaseExecSpec

All Superinterfaces:
  ProcessForkOptions, BaseExecSpec

    public interface ExecSpec
    extends BaseExecSpec

Specified the options for executing some command.

Authors:
  Hans Dockter

Method Summary
`ExecSpec` | `args(java.lang.Object args)` Adds arguments for the command to be executed.
`ExecSpec` | `args(java.lang.Iterable args)` Adds arguments for the command to be executed.
`ExecSpec` | `commandLine(java.lang.Object args)` Sets the full command line, including the executable to be executed plus its arguments.
`ExecSpec` | `commandLine(java.lang.Iterable args)` Sets the full command line, including the executable to be executed plus its arguments.
`java.util.List` | `getArgs()` Returns the arguments for the command to be executed.
`ExecSpec` | `setArgs(java.lang.Iterable args)` Sets the arguments for the command to be executed.
`void` | `setCommandLine(java.lang.Object args)` Sets the full command line, including the executable to be executed plus its arguments.
`void` | `setCommandLine(java.lang.Iterable args)` Sets the full command line, including the executable to be executed plus its arguments.

Methods inherited from interface BaseExecSpec
getCommandLine, getErrorOutput, getStandardInput, getStandardOutput, isIgnoreExitValue, setErrorOutput, setIgnoreExitValue, setStandardInput, setStandardOutput

Methods inherited from interface ProcessForkOptions
copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setWorkingDir, workingDir

Method Detail

### args

    public ExecSpec args(java.lang.Object args)

  Adds arguments for the command to be executed.
  Parameters:
    `args` - args for the command
  Returns:
    this

### args

    public ExecSpec args(java.lang.Iterable args)

  Adds arguments for the command to be executed.
  Parameters:
    `args` - args for the command
  Returns:
    this

### commandLine

    public ExecSpec commandLine(java.lang.Object args)

  Sets the full command line, including the executable to be executed plus its arguments.
  Parameters:
    `args` - the command plus the args to be executed
  Returns:
    this

### commandLine

    public ExecSpec commandLine(java.lang.Iterable args)

  Sets the full command line, including the executable to be executed plus its arguments.
  Parameters:
    `args` - the command plus the args to be executed
  Returns:
    this

### getArgs

    public java.util.List getArgs()

  Returns the arguments for the command to be executed. Defaults to an empty list.

### setArgs

    public ExecSpec setArgs(java.lang.Iterable args)

  Sets the arguments for the command to be executed.
  Parameters:
    `args` - args for the command
  Returns:
    this

### setCommandLine

    public void setCommandLine(java.lang.Object args)

  Sets the full command line, including the executable to be executed plus its arguments.
  Parameters:
    `args` - the command plus the args to be executed

### setCommandLine

    public void setCommandLine(java.lang.Iterable args)

  Sets the full command line, including the executable to be executed plus its arguments.
  Parameters:
    `args` - the command plus the args to be executed

Groovy Documentation